### Function

# FwupdPlugin strtoull

#### Declaration [src]

    gboolean
    fu_strtoull (
      const gchar* str,
      guint64* value,
      guint64 min,
      guint64 max,
      FuIntegerBase base,
      GError** error
    )

#### Description [src]

Converts a string value to an integer. If the `value` is prefixed with `0x` then the base is set to 16 automatically.

Available since: | 2.0.0

#### Parameters

`str` | `const gchar*`
| A string, e.g. `0x1234`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `guint64*`
| Parsed value.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`min` | `guint64`
| Minimum acceptable value, typically 0
`max` | `guint64`
| Maximum acceptable value, typically G_MAXUINT64
`base` | `FuIntegerBase`
| Default log base, usually `FU_INTEGER_BASE_AUTO`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the value was parsed correctly, or `FALSE` for error.